Proximity Placement Groups - Update
Update a proximity placement group.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/proximityPlacementGroups/{proximityPlacementGroupName}?api-version=2026-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
proximity
|
path | True |
string |
The name of the proximity placement group. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| tags |
object |
Resource tags |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Update a proximity placement group.
Sample request
PATCH https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/proximityPlacementGroups/myProximityPlacementGroup?api-version=2026-04-01
{
"tags": {
"additionalProp1": "string"
}
}
Sample response
{
"name": "myProximityPlacementGroup",
"properties": {
"proximityPlacementGroupType": "Standard"
},
"location": "westus",
"type": "Microsoft.Compute/proximityPlacementGroups",
"id": "/subscriptions/{subscription-id}/resourceGroups/myResourceGroup/providers/Microsoft.Compute/proximityPlacementGroups/myProximityPlacementGroup"
}
Definitions
| Name | Description |
|---|---|
|
Api |
Api error. |
|
Api |
Api error base. |
|
Cloud |
An error response from the Compute service. |
|
created |
The type of identity that created the resource. |
|
Inner |
Inner error details. |
|
Instance |
Instance view status. |
|
Proximity |
Specifies information about the proximity placement group. |
|
Proximity |
Specifies the user intent of the proximity placement group. |
|
Proximity |
Specifies the type of the proximity placement group. Possible values are: Standard : Co-locate resources within an Azure region or Availability Zone. Ultra : For future use. |
|
Proximity |
Specifies information about the proximity placement group. |
|
Status |
The level code. |
|
Sub |
|
|
system |
Metadata pertaining to creation and last modification of the resource. |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
InstanceViewStatus
Instance view status.
| Name | Type | Description |
|---|---|---|
| code |
string |
The status code. |
| displayStatus |
string |
The short localizable label for the status. |
| level |
The level code. |
|
| message |
string |
The detailed status message, including for alerts and error messages. |
| time |
string (date-time) |
The time of the status. |
ProximityPlacementGroup
Specifies information about the proximity placement group.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.availabilitySets |
A list of references to all availability sets in the proximity placement group. |
|
| properties.colocationStatus |
Describes colocation status of the Proximity Placement Group. |
|
| properties.intent |
Specifies the user intent of the proximity placement group. |
|
| properties.proximityPlacementGroupType |
Specifies the type of the proximity placement group. Possible values are: Standard : Co-locate resources within an Azure region or Availability Zone. Ultra : For future use. |
|
| properties.virtualMachineScaleSets |
A list of references to all virtual machine scale sets in the proximity placement group. |
|
| properties.virtualMachines |
A list of references to all virtual machines in the proximity placement group. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
| zones |
string[] |
The availability zones. |
ProximityPlacementGroupPropertiesIntent
Specifies the user intent of the proximity placement group.
| Name | Type | Description |
|---|---|---|
| vmSizes |
string[] |
Specifies possible sizes of virtual machines that can be created in the proximity placement group. |
ProximityPlacementGroupType
Specifies the type of the proximity placement group. Possible values are: Standard : Co-locate resources within an Azure region or Availability Zone. Ultra : For future use.
| Value | Description |
|---|---|
| Standard | |
| Ultra |
ProximityPlacementGroupUpdate
Specifies information about the proximity placement group.
| Name | Type | Description |
|---|---|---|
| tags |
object |
Resource tags |
StatusLevelTypes
The level code.
| Value | Description |
|---|---|
| Info | |
| Warning | |
| Error |
SubResourceWithColocationStatus
| Name | Type | Description |
|---|---|---|
| colocationStatus |
Describes colocation status of a resource in the Proximity Placement Group. |
|
| id |
string |
Resource Id |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |